[
{
    blockid=sys;
    help=service_smtp_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.defdomain.text="Adressenvervollst\u00e4ndigungsdom\u00e4ne:";
	.localdomain.help="Liste der Dom\u00e4nen, die ausschlie\u00dflich von diesem Server bearbeitet werden";
	.localdomain.header="Lokale Dom\u00e4ne";
	.hostoncmd.text="Namen der Client-Computer suchen";
	.plaintext.text="Passwort-Anmeldung zulassen";
	.mincipher.text="Mindest-Verschl\u00fcsselungsl\u00e4nge f\u00fcr Passwortverschl\u00fcsselung";
	.nt.border=[titled,"NT-Programmzustellung"];
	.ntaccount.text="NT-Konto zur Ausf\u00fchrung des Programms als:";
	.ntpasswd.text="Passwort f\u00fcr dieses Konto:";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=defdomainlabel;
	    text=$.defdomain.text;
	    wrap=$g.label.size1;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=defdomainlabel;
	    val=$service.defaultdomain.value;
	    constraint={
		gridx=1;
		gridy=0;
		weightx=9;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=localdomainlabel;
	    text=$.localdomain.help;
	    wrap=$g.label.size4;
	    constraint={
		gridx=0;
		gridy=1;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=stdtable;
	    label=localdomainlabel;
	    stdtable=true;
	    addui=domaindialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.localdomain.header;
	    editui=domaindialog;
	    edittitle=$.localdomain.header;
	    val=$service.smtp.smtp-router.localmaildomains.value;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    constraint={
		gridx=0;
		gridy=2;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.localdomain.header;
		    varname=domainname;
		}
	    ]
	},
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    constraint={
		gridx=0;
		gridy=3;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    };
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    id=mincipherlabel;
		    text=$.mincipher.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=0;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=choice;
		    id=mincipher;
		    label=mincipherlabel;
		    items=[0,40,128];
		    val=$plaintextmincipher.value;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.nt.border;
	    constraint={
		gridx=0;
		gridy=4;
		gridwidth=2;
		weightx=1;
		weighty=1;
		fill=h;
		insets=$g.insets.comp;
	    };
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    id=ntaccountlabel;
		    text=$.ntaccount.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=0;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=ntaccountlabel;
		    val=$service.smtp.prog-deliver.ntaccount.value;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=9;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=ntpasswdlabel;
		    text=$.ntpasswd.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=password;
		    label=ntpasswdlabel;
		    val=$service.smtp.prog-deliver.ntpassword.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			fill=h;
			insets=$g.insets.comp;
		    }
		}
	    ]
	}
    ]
},
{
    blockid=domaindialog;
    help=service_smtp_sys_domaindialog;
    localvar={
	.name.text="Dom\u00e4ne, die ausschlie\u00dflich von diesem Server verarbeitet wird:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.name.text;
	    wrap=$g.label.size3;
	    aligny=0.5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$domainname;
	    aligny=0.5;
	    focus=true;
	}
    ]
}
]
